Subject: [6pack] Engine guys?

From: im sloane <[email-masked]>
Date: Thu, 11 Sep 2014 12:16:11 +0000 FILETIME=[2CF468E0:01CFCDBA]

Hey,How many thrust washers does a Spitfire have? Is it just one on the front
and one on the back, or three?
I ordered a 'thrust washer set' from MOSS, expected to get more than one, but
what I got is two half-moons, and neither one have the little tab at the
bottom. Did I get two tops and are missing the bottoms? Confused.
Thanks for info, I don't want to sound quite so stupid if/when I call Moss
Customer Service.
thanks,Sloane 69-Six72-Spit
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/6pack